Bug 57524 - Gcc fails to compile aspell on alpha
Gcc fails to compile aspell on alpha
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-14 15:53 EST by Trond Eivind Glomsrxd
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-17 11:16:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The log file of the build (58.53 KB, text/plain)
2001-12-14 15:54 EST, Trond Eivind Glomsrxd
no flags Details

  None (edit)
Description Trond Eivind Glomsrxd 2001-12-14 15:53:31 EST
aspell-0.33.7.1-3 doesn't compile on alpha (it works just fine on i386 and
ia64). It fails with these messages:

alpha-redhat-linux-g++ -O2 -mieee -o .libs/aspell aspell.o termios.o
text_chain.o  ../lib/.libs/libaspell.so -L/usr/lib
-L/usr/src/build/54845-alpha/BUILD/pspell-.12.2/modules/.libs
-L/usr/lib/gcc-lib/alpha-redhat-linux/3.1
-L/usr/lib/gcc-lib/alpha-redhat-linux/3.1/../../.. -lstdc++ -lm -lgcc_s
-lgcc -lc -lgcc_s -lgcc /usr/lib/libpspell-impl.so
-L/usr/src/build/54845-alpha/BUILD/pspell-.12.2/interface/.libs
/usr/lib/libpspell.so /usr/lib/libltdl.so -ldl
/usr/lib/libpspell-modules.so -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc
-lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc -lcurses
termios.o(.eh_frame+0x280): relocation truncated to fit: SREL32
.gnu.linkonce.t._ZNSs6resizeEmc
termios.o(.eh_frame+0x2a8): relocation truncated to fit: SREL32
.gnu.linkonce.t._ZNSs6appendEmc
termios.o(.eh_frame+0x2d0): relocation truncated to fit: SREL32
.gnu.linkonce.t._ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c
termios.o(.eh_frame+0x300): relocation truncated to fit: SREL32
.gnu.linkonce.t._ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
termios.o(.eh_frame+0x3a8): relocation truncated to fit: SREL32
.gnu.linkonce.t._ZSt5flushIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_
termios.o(.eh_frame+0x3c8): relocation truncated to fit: SREL32
.gnu.linkonce.t._ZNSolsEPFRSoS_E
termios.o(.eh_frame+0x3f0): relocation truncated to fit: SREL32
.gnu.linkonce.t._ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_
termios.o(.eh_frame+0x410): relocation truncated to fit: SREL32
.gnu.linkonce.t._ZNSs7reserveEm
Comment 1 Trond Eivind Glomsrxd 2001-12-14 15:54:12 EST
Created attachment 40687 [details]
The log file of the build
Comment 2 Trond Eivind Glomsrxd 2001-12-14 15:54:57 EST
Gcc version: 3.1-0.10
Comment 3 Jakub Jelinek 2001-12-14 15:56:35 EST
What binutils were you using?
Comment 4 Trond Eivind Glomsrxd 2001-12-14 16:00:08 EST
2.11.92.0.12-4 (current development buildroot)
Comment 5 Jakub Jelinek 2001-12-17 11:16:07 EST
Patch posted to binutils@sources, waiting for review.
Comment 6 Jakub Jelinek 2001-12-27 07:16:25 EST
Should be fixed in 2.11.92.0.12-7.

Note You need to log in before you can comment on or make changes to this bug.